package com.gci.boot.modules.dataview.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.gci.boot.modules.dataview.vo.ProjectSignInVo;
import com.gci.boot.modules.gis.entity.TbGisFenceAlarm;

import java.util.List;
import java.util.Map;

/**
 * @author lyz
 * @date 2023/9/23 17:42
 */
public interface SafetyDataStatisticsService {
    /**
     *告警统计
     * @return
     */
    Map alarmQuantity();

    /**
     * 告警趋势分析
     * @return
     */
    Map alarmTrend();

    IPage<TbGisFenceAlarm> pageFenceList(List<String> projectIds, String  plateNumber, String startTime, String endTime,
                                         Integer pageNo, Integer pageSize);

	List<ProjectSignInVo> getSignInCount();

	ProjectSignInVo getDriverSignInCount();
}
